<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.energy.mapper.DataGroupMapper">


    <select id="getGroupDataList" resultType="DataGroupTemplateVO">
        select id,pid,name,sort,1 as level from ele_data_group
        where pid = #{id}
        order by sort
    </select>

    <select id="getGroupList" resultType="DataGroupTemplateVO">
        select id,pid,name,sort from ele_data_group
        where pid = #{id}
        order by sort
    </select>
</mapper>
